HR core: profiles, onboarding, lifecycle
Get Admin Tasks
Lists org admin tasks filtered by employee, status and type, paginated with total.
POSThttps://api.toku.com/platform/get-admin-tasks
Required scope: people:read
curl --request POST \
--url 'https://api.toku.com/platform/get-admin-tasks' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"roleInOrgId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "PENDING",
"taskTypes": [
"I9_SECTION_2_REVIEW"
],
"excludeSubmittedOnboardings": true,
"excludeCompletedOnboardings": true,
"limit": 50,
"offset": 0
}'200 response
{
"tasks": [],
"total": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
roleInOrgIdstring<uuid>statusstringAvailable options: PENDING, IN_PROGRESS, COMPLETED, BLOCKED, CANCELLED
taskTypesstring[]Allowed: at least 1 items
excludeSubmittedOnboardingsbooleanexcludeCompletedOnboardingsbooleanlimitintegerrequiredAllowed: 1 to 200
Default: 50
offsetintegerrequiredAllowed: at least 0
Default: 0
Response
200Successful response
tasksany[]totalinteger400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits